Skip to main content
POST
/
v1
/
agent
/
flag-needs-human
Flag a message as needing human review.
curl --request POST \
  --url https://api.reload.chat/v1/agent/flag-needs-human \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messageId": "<string>",
  "reason": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "channelId": "<string>",
    "parentId": "<string>",
    "senderId": "<string>",
    "content": "<string>",
    "metadata": {},
    "isEdited": true,
    "version": 123,
    "replyCount": 123,
    "reactions": [
      {
        "emoji": "<string>",
        "userIds": [
          "<string>"
        ],
        "count": 123
      }
    ],
    "attachments": [
      {
        "id": "<string>",
        "messageId": "<string>",
        "name": "<string>",
        "fileType": "<string>",
        "size": "<string>",
        "sizeBytes": 123,
        "url": "<string>",
        "mimeType": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z",
    "pagination": {
      "hasMore": true,
      "cursor": "<string>",
      "total": 123,
      "historyCutoff": {
        "beyondCount": 123,
        "cutoffAt": "2023-11-07T05:31:56Z"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
messageId
string
required

The message ID to flag.

reason
string
required

Why this message needs human review.

Response

Success

success
enum<boolean>
required
Available options:
true
data
object
required
meta
object